FROM dart:2

ENV DDOTS_RUNNER_MINIMAL_PROGRAM_FILEPATH=/usr/local/share/minimal_program
RUN dart --disable-analytics && \
    echo "import 'dart:io'; void main() { stdout.write(1); }" >/usr/local/share/minimal_program.dart && \
    dart compile exe -o "$DDOTS_RUNNER_MINIMAL_PROGRAM_FILEPATH" "/usr/local/share/minimal_program.dart"

RUN adduser --system --no-create-home --uid 11 --gid 0 operator
